[-]
[+]
|
Added |
pound.spec
|
|
[-]
[+]
|
Added |
pound.diff
^
|
@@ -0,0 +1,18 @@
+--- Makefile.in
++++ Makefile.in
+@@ -50,11 +50,11 @@
+
+ install: all
+ @INSTALL@ -d ${DESTDIR}@sbindir@
+- @INSTALL@ -o @I_OWNER@ -g @I_GRP@ -m 555 pound ${DESTDIR}@sbindir@/pound
+- @INSTALL@ -o @I_OWNER@ -g @I_GRP@ -m 555 poundctl ${DESTDIR}@sbindir@/poundctl
++ @INSTALL@ -m 555 pound ${DESTDIR}@sbindir@/pound
++ @INSTALL@ -m 755 poundctl ${DESTDIR}@sbindir@/poundctl
+ @INSTALL@ -d ${DESTDIR}@mandir@/man8
+- @INSTALL@ -o @I_OWNER@ -g @I_GRP@ -m 644 pound.8 ${DESTDIR}@mandir@/man8/pound.8
+- @INSTALL@ -o @I_OWNER@ -g @I_GRP@ -m 644 poundctl.8 ${DESTDIR}@mandir@/man8/poundctl.8
++ @INSTALL@ -m 644 pound.8 ${DESTDIR}@mandir@/man8/pound.8
++ @INSTALL@ -m 644 poundctl.8 ${DESTDIR}@mandir@/man8/poundctl.8
+
+ clean:
+ rm -f pound $(OBJS) poundctl poundctl.o
|
|
Added |
Pound-2.4.3.tar.bz2
^
|
|
Added |
debian.tar.gz
^
|
[-]
[+]
|
Added |
init.pound
^
|
@@ -0,0 +1,72 @@
+#! /bin/sh
+# Copyright (c) 1995-1998 SuSE GmbH Nuernberg, Germany.
+#
+# Author: adrian@suse.de, template by ro@suse.de
+#
+# /etc/init.d/pound
+# and its symbolic link
+# /usr/sbin/rcpound
+#
+### BEGIN INIT INFO
+# Provides: pound
+# Required-Start: $time $remote_fs $named $syslog
+# Required-Stop: $null
+# Default-Start: 3 5
+# Default-Stop: 0 1 2 4 6
+# Description: A lightweight HTTP proxy
+# Short-Description: A lightweight HTTP proxy
+### END INIT INFO
+
+. /etc/rc.status
+
+
+# Determine the base and follow a runlevel link name.
+base=${0##*/}
+link=${base#*[SK][0-9][0-9]}
+
+# Force execution if not called by a runlevel directory.
+test -x /usr/sbin/pound || exit 0
+
+rc_reset
+case "$1" in
+ start)
+ echo -n "Starting Pound HTTP Proxy"
+ startproc /usr/sbin/pound
+ rc_status -v
+ ;;
+ stop)
+ echo -n "Shutting down Pound HTTP Proxy"
+ killproc -TERM /usr/sbin/pound
+ rc_status -v
+ ;;
+ restart)
+ ## If first returns OK call the second, if first or
+ ## second command fails, set echo return value.
+ $0 stop && $0 start
+ rc_status
+ ;;
+ force-reload)
+ ## If first returns OK call the second, if first or
+ ## second command fails, set echo return value.
+ $0 stop; sleep 1 && $0 start
+ rc_status
+ ;;
+ reload)
+ $0 stop; sleep 1 && $0 start
+ rc_status
+ ;;
+ status)
+ echo -n "Checking for Pound HTTP Proxy Daemon: "
+ checkproc /usr/sbin/pound
+ rc_status -v
+ ;;
+ configtest)
+ echo "Checking Pound configuration ..."
+ eval /usr/sbin/pound -c
+ ;;
+ *)
+ echo "Usage: $0 {start|stop|status|restart|reload|configtest}"
+ exit 1
+ ;;
+esac
+rc_exit
|
[-]
[+]
|
Changed |
pound.cfg
^
|
@@ -1,35 +1,22 @@
-#
-# Default pound.cfg
-#
-# Pound listens on port 80 for HTTP and port 443 for HTTPS
-# and distributes requests to 2 backends running on localhost.
-# see pound(8) for configuration directives.
-# You can enable/disable backends with poundctl(8).
-#
+# This is a simple configuration example.
+# It sends all requests from port 80 to port 8080 on the same machine.
-User "pound"
+# Start pound as User with Group
+User "pound"
Group "pound"
-Control "/var/lib/pound/pound.cfg"
+# Replace "localhost" by your IP or host name
ListenHTTP
- Address 0.0.0.0
- Port 80
-End
+ Address localhost
+ Port 80
-ListenHTTPS
- Address 0.0.0.0
- Port 443
- Cert "/etc/pki/tls/certs/pound.pem"
-End
+ Service
+ HeadRequire "Host: .*localhost.*"
-Service
- BackEnd
- Address 127.0.0.1
- Port 8000
- End
-
- BackEnd
- Address 127.0.0.1
- Port 8001
+ BackEnd
+ Address localhost
+ Port 8080
+ End
End
End
+
|
[-]
[+]
|
Added |
pound.dsc
^
|
@@ -0,0 +1,13 @@
+Format: 1.0
+Source: pound
+Binary: pound
+Architecture: any
+Version: 2.4.1-1
+Maintainer: Michael Mende <debian@menole.net>
+Uploaders: Michael Piefel <piefel@debian.org>
+Homepage: http://www.apsis.ch/pound/
+Standards-Version: 3.7.3
+Build-Depends: autotools-dev, debhelper (>= 5), libpcre3-dev, libssl-dev (>= 0.9.7)
+Files:
+ 16450962d535215719442955f6101829 169138 Pound-2.4.1.tar.gz
+ 28db12afac91ca5c28b09a7ead069e56 6188 pound_2.4-2.diff.gz
|